Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154214 - Attempt to create config channel with same name and label causes 500 error and WEB traceback
Summary: Attempt to create config channel with same name and label causes 500 error an...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Bowman
QA Contact: Max Spevack
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-08 14:42 UTC by Wayne Pascoe
Modified: 2007-07-31 19:00 UTC (History)
1 user (show)

Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-01 02:19:36 UTC


Attachments (Terms of Use)

Description Wayne Pascoe 2005-04-08 14:42:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
Attempting to create a new configuration channel in Satellite with the same name and label as an existing channel (at https://saturl/network/configuration/namespaces/details.pxt) causes a 500 Internal Server error and a WEB Traceback e-mail to be generated.

This should fail gracefully, and implies that input validation / duplication checking is not being performed.

Version-Release number of selected component (if applicable):
Satellite 3.6.1

How reproducible:
Always

Steps to Reproduce:
1. Log into Satellite and navigate to Create Config Channel
2. Enter Name of existing channel in Name field
3. Enter label of existing channel in Label field
4. 'Click Create Config Channel' button
  

Actual Results:  I receive the following message in my browser:

500 Error - Internal Server Error

You may have reached this page in one of the following ways:

   1. You are using an outdated version of Konqueror 3.0, which may not handle form variables properly in all cases. Continuing to use this outdated version of Konqueror may have unexpected results. Please up2date to the latest version of Konqueror (3.03 or greater), or if this is not possible, please use another browser.
   2. You've found an error in the site. Please report this error to your local administrator with details of how you received this message.


I also receive a WEB TRACEBACK e-mail from my Satellite server

Expected Results:  A message indicating that a config channel with this name or label already exists should be generated.

Additional info:

Comment 1 Michael Bowman 2005-06-27 15:10:15 UTC
Checked in a fix for the label problem.... The db allows duplicate org_id/name
rows which seems wrong to me. I would think the unique constraints on the db
should be org_id/name/label. Waiting on feedback from bretm/robin regarding this.

Comment 2 Michael Bowman 2005-07-06 13:18:45 UTC
Added code to catch the new constraint jslagle made in bz# 161850.

Testplan: 
 - Create config channel
 - attempt to create another config channel with same name/label
 - should get error
 - change name to something else
 - should work


Comment 3 Max Spevack 2005-07-19 04:56:29 UTC
Verified, PROD_READY


Note You need to log in before you can comment on or make changes to this bug.